MinimalExternalModuleDependency (Gradle API 9.0.0)
Description: declaration: package: org.gradle.api.artifacts, interface: MinimalExternalModuleDependency

Package org.gradle.api.artifacts

# Interface MinimalExternalModuleDependency

All Superinterfaces:
  `Dependency`, `ExternalDependency`, `ExternalModuleDependency`, `HasAttributes`, `HasConfigurableAttributes<ModuleDependency>`, `ModuleDependency`, `ModuleVersionSelector`

public interface MinimalExternalModuleDependency extends ExternalModuleDependency
The minimal information Gradle needs to address an external module.

Since:
  6.8

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.artifacts.Dependency

  `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MinimalExternalModuleDependency`
  `copy()`
  Creates and returns a new dependency with the property values of this one.
  `ModuleIdentifier`
  `getModule()`
  The module identifier of the component.
  `VersionConstraint`
  `getVersionConstraint()`
  Returns the version constraint to be used during selection.

  ### Methods inherited from interface org.gradle.api.artifacts.Dependency

  `because, getGroup, getName, getReason, getVersion`

  ### Methods inherited from interface org.gradle.api.artifacts.ExternalDependency

  `isForce, version`

  ### Methods inherited from interface org.gradle.api.artifacts.ExternalModuleDependency

  `isChanging, setChanging`

  ### Methods inherited from interface org.gradle.api.artifacts.ModuleDependency

  `addArtifact, artifact, artifact, attributes, capabilities, doNotEndorseStrictVersions, endorseStrictVersions, exclude, getArtifacts, getAttributes, getCapabilitySelectors, getExcludeRules, getRequestedCapabilities, getTargetConfiguration, isEndorsingStrictVersions, isTransitive, setTargetConfiguration, setTransitive`

  ### Methods inherited from interface org.gradle.api.artifacts.ModuleVersionSelector

  `getGroup, getName, getVersion, matchesStrictly`

- ## Method Details

  - ### getModule

    ModuleIdentifier getModule()
    Description copied from interface: `ModuleVersionSelector`
    The module identifier of the component. Returns the same information as `ModuleVersionSelector.getGroup()` and `ModuleVersionSelector.getName()`.
    Specified by:
      `getModule` in interface `ModuleVersionSelector`
    Returns:
      the module identifier

  - ### getVersionConstraint

    VersionConstraint getVersionConstraint()
    Description copied from interface: `ExternalDependency`
    Returns the version constraint to be used during selection.
    Specified by:
      `getVersionConstraint` in interface `ExternalDependency`
    Returns:
      the version constraint

  - ### copy

    MinimalExternalModuleDependency copy()
    Creates and returns a new dependency with the property values of this one.
    Specified by:
      `copy` in interface `Dependency`
    Specified by:
      `copy` in interface `ExternalDependency`
    Specified by:
      `copy` in interface `ExternalModuleDependency`
    Specified by:
      `copy` in interface `ModuleDependency`
    Returns:
      The copy. Never returns null.